package com.bonus.hn.bearing.capacity.backstage.manager.dao;

import com.bonus.hn.bearing.capacity.backstage.manager.entity.OrgBean;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.ZNode;
import org.springframework.stereotype.Repository;

import java.util.List;
/**
 * @author bonus
 */
@Repository(value = "OrgDao")
public interface OrgDao {
    List<ZNode> getAll(String companyId);

    int addOrg(OrgBean bean);

    int updateOrg(OrgBean bean);

    int deleteOrg(OrgBean bean);

    OrgBean findCompanyInfo(OrgBean o);

    List<ZNode> getCompanyTree(OrgBean bean);
}
